Updates the purchase order order lines with the specified key
Request Information
URI Parameters :
| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
Required |
Body Parameters :
purchase_order_details| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary Key |
globally unique identifier | |
| purchase_order_id |
Foreign key of the purchase_order |
globally unique identifier |
Optionally required : purchase_order_id, purchase_order_reference or purchase_order must be provided |
| purchase_order_reference_back_office |
Embedded entity "purchase_order" using ERP PK when adding/updating |
string |
Optionally required : purchase_order_id, purchase_order_reference_back_office or purchase_order must be provided |
| purchase_order |
Embedded entity "purchase_order" when adding/updating |
purchase_order |
Optionally required : purchase_order_id, purchase_order_reference_back_office or purchase_order must be provided |
| article_id |
Foreign key of article |
globally unique identifier |
Optionally required : article_id, article_code or article must be provided |
| article_code |
Embedded entity "article" using ERP PK when adding/updating |
string |
Optionally required : article_id, article_code or article must be provided |
| article |
Embedded entity "article" when adding/updating |
article |
Optionally required : article_id, article_code or article must be provided |
| line_number |
Line Number, auto filled with (Highest+1) if value is 0/null |
integer | |
| code |
Code of the article (auto filled if empty) |
string |
Max length: 255 |
| supplier_code |
Code of the supplier for this article |
string |
Max length: 255 |
| name |
Article Name (will be auto filled if article.name+description are empty) |
string |
Max length: 255 |
| description |
Article description (will be auto filled by article.short_description if name+description are empty) |
string |
Max length: 255 |
| price |
Unit Price |
decimal number |
Matching regular expression pattern: ^[0-9]\d*(\.\d+)?$ Range: inclusive between 0.1 and 1.79769313486232E+308 |
| quantity |
Quantity |
decimal number |
Required Range: inclusive between 0.1 and 1.79769313486232E+308 |
| memo |
Line memo/remark |
string | |
| cost_price |
Unit Cost Price (statistic purpose) |
decimal number |
Matching regular expression pattern: ^[0-9]\d*(\.\d+)?$ |
| reference_back_office |
Field used for Embedded entity (store there your ERP PK) |
string |
Max length: 50 |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating |
date |
Request Formats :
application/json, text/json
{
"id": "6fb1d4b6-beab-4be6-ba8e-f9618fa74c7b",
"purchase_order_id": "f811e3ee-6310-4cf4-927f-0fb327c5129b",
"purchase_order_reference_back_office": "sample string 3",
"purchase_order": {
"id": "64e4a389-52f6-46b1-9306-939f26147984",
"id2": 2,
"jobs_id": "80d2dbf5-b6fd-4e3e-a95d-34aaa77c286d",
"jobs_reference_back_office": "sample string 4",
"supplier_company_id": "b98f580a-3b4b-4f72-af37-89853cbfc88b",
"supplier_company_code": "sample string 6",
"user_id": "3377a9de-c4e0-48e1-bcf9-fd6f1866e8f5",
"user_code": "sample string 8",
"description": "sample string 9",
"memo": "sample string 10",
"total_lines": 11,
"date_create": "2026-11-13T18:44:12.818635+00:00",
"date_update": "2026-11-13T18:44:12.818635+00:00",
"date_delivery": "2026-11-13T18:44:12.818635+00:00",
"confirmed_date_delivery": "2026-11-13T18:44:12.818635+00:00",
"delivery_db_address_id": "528188cf-2f6f-4db3-bfaf-64fe4158fc52",
"approved_by_user_id": "2e803b77-e99d-4d61-9460-9de2b5036d9d",
"approved_by_user_code": "sample string 18",
"technical_user_id": "329f2359-7db8-4007-b499-4264a6825a66",
"technical_user_code": "sample string 20",
"purchase_order_status_id": "8f16e817-bbc9-43aa-a71b-8596e5e0e92d",
"purchase_order_status_code": "sample string 22",
"article_stock_location_id": "4799e313-cc6b-476e-ac71-cf4085cbeea4",
"is_pickup": true,
"reference_back_office": "sample string 25",
"modified_dateutc": "2026-11-13T18:44:12.818635+00:00"
},
"article_id": "5f39712d-37d0-45d1-8c66-a53db0727158",
"article_code": "sample string 5",
"article": {
"id": "2168541d-7694-44fc-849d-3c1c95fe9a61",
"article_category_id": "7f136bf7-45c7-433f-89bc-da38405f26b6",
"article_category": {
"id": "b30598d2-dff7-45d9-a74e-f20bd764149d",
"parent_id": "77a15097-b139-4f80-b349-a2aaa8987f12",
"parent_code": "sample string 3",
"code": "sample string 4",
"name": "sample string 5",
"modified_dateutc": "2026-11-13T18:44:12.8349178+00:00"
},
"article_category_code": "sample string 3",
"article_group_1_id": "77a4e90f-218c-4a07-9dd9-dcc3bb7040ff",
"article_group_1_code": "sample string 5",
"article_group_2_id": "ce215f6a-14ac-4e85-a052-3dab5432f4a9",
"article_group_2_code": "sample string 7",
"article_group_3_id": "85828ea4-f5fa-45d5-9d0f-600dcee6a556",
"article_group_3_code": "sample string 9",
"article_group_4_id": "4b6fa8db-573e-41d9-b13a-bdf994101d0a",
"article_group_4_code": "sample string 11",
"article_group_5_id": "483e4fbd-6e9f-48b5-b0a8-cc46a6b35ac9",
"article_group_5_code": "sample string 13",
"article_group_6_id": "df61eea3-b126-4d6a-9eeb-6d3e76806ebc",
"article_group_6_code": "sample string 15",
"physical_stock": 16,
"back_order_client": 17,
"back_order_supplier": 18,
"expected_delivery_date_bo_supplier": "2026-11-13T18:44:12.8349178+00:00",
"article_increment": 20,
"min_article_quantity": 21,
"entered_price": 22.0,
"cost_price": 23.1,
"no_stock": true,
"archived": true,
"is_travel_fee": true,
"is_mileage_fee": true,
"code": "sample string 28",
"name": "sample string 29",
"description_short": "sample string 30",
"description_long": "sample string 31",
"barcode": "sample string 32",
"notes": "sample string 33",
"date_create": "2026-11-13T18:44:12.8349178+00:00",
"date_update": "2026-11-13T18:44:12.8349178+00:00",
"modified_dateutc": "2026-11-13T18:44:12.8349178+00:00",
"article_color_id": "15c3eddd-5ca6-4723-bb03-a5079bfca291",
"article_color_code": "sample string 38",
"article_color": {
"id": "a9592821-7127-4ac1-8b2a-53a7010b9bfa",
"name": "sample string 2",
"code": "sample string 3",
"modified_dateutc": "2026-11-13T18:44:12.8349178+00:00"
},
"warranty_period_nb_months": 39,
"use_serial": true,
"_replace_id": "94183403-c720-4bc0-9f1a-ce2edddc5af5",
"replace_article_code": "sample string 42",
"db_unit_of_measure_id_selling": "2ed494e6-80c3-4f96-9258-aface115d503",
"db_unit_of_measure_code_selling": "sample string 44",
"translations": [
{
"field_name": "sample string 1",
"language_code": "sample string 2",
"value_translated": "sample string 3"
},
{
"field_name": "sample string 1",
"language_code": "sample string 2",
"value_translated": "sample string 3"
}
]
},
"line_number": 6,
"code": "sample string 7",
"supplier_code": "sample string 8",
"name": "sample string 9",
"description": "sample string 10",
"price": 11.0,
"quantity": 12.0,
"memo": "sample string 13",
"cost_price": 14.0,
"reference_back_office": "sample string 15",
"modified_dateutc": "2026-11-13T18:44:12.850277+00:00"
}
Response Information
Resource Description :
IHttpActionResultNone.
Response Formats
application/json, text/json
Sample not available.